# output-selector

Direct input stream to one out of N output pads.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──output-selector

## Factory details

Authors: – Stefan Kost <stefan.kost></stefan.kost>

Classification: – `Generic`

Rank – none

Plugin – coreelements

Package – GStreamer

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src_%u`

    ANY

Presence – request

Direction – src

Object type – GstPad

## Properties

### active-pad

    “active-pad” GstPad *

Currently active src pad

Flags : Read / Write

### pad-negotiation-mode

    “pad-negotiation-mode” Output-selector-pad-negotiation-mode *

The mode to be used for pad negotiation

Flags : Read / Write

Default value : all (1)

### resend-latest

    “resend-latest” gboolean

Resend latest buffer after a switch to a new pad

Flags : Read / Write

Default value : false

## Named constants

### Output-selector-pad-negotiation-mode

To what output pad the input stream should be directed.

#### Members

`none` (0) – None
`all` (1) – All
`active` (2) – Active

The results of the search are